librest-extras-dev_0.7.93-1_amd64.deb


Advertisement

Description

librest-extras-dev - REST service access library extra components (development headers)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename librest-extras-dev_0.7.93-1_amd64.deb
Package name librest-extras-dev
Package version 0.7.93
Package release 1
Package architecture amd64
Package type deb
Category libdevel
Homepage https://wiki.gnome.org/Librest
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.28 KB
Installed size 99.00 KB
This library was designed to make it easier to access web services that
claim to be "RESTful".  It includes convenience wrappers for libsoup and
libxml to ease remote use of the RESTful API. This extra package provides
Facebook and Flickr support.
This package contains the development headers.

Alternatives

Package Version Architecture Repository
librest-extras-dev_0.7.93-1_i386.deb 0.7.93 i386 Ubuntu Main
librest-extras-dev - - -

Requires

Name Value
gir1.2-rest-extras-0.7 = 0.7.93-1
librest-dev -
librest-extras-0.7-0 = 0.7.93-1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package librest-extras-dev_0.7.93-1_amd64.deb
Source Package librest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librest-extras-dev deb package:
    # sudo apt-get install librest-extras-dev

Files

Path
/usr/include/rest-0.7/rest-extras/flickr-proxy-call.h
/usr/include/rest-0.7/rest-extras/flickr-proxy.h
/usr/include/rest-0.7/rest-extras/lastfm-proxy-call.h
/usr/include/rest-0.7/rest-extras/lastfm-proxy.h
/usr/include/rest-0.7/rest-extras/youtube-proxy.h
/usr/lib/x86_64-linux-gnu/librest-extras-0.7.so
/usr/lib/x86_64-linux-gnu/pkgconfig/rest-extras-0.7.pc
/usr/share/doc/librest-extras-dev/changelog.Debian.gz
/usr/share/doc/librest-extras-dev/copyright
/usr/share/gir-1.0/RestExtras-0.7.gir

Changelog

2015-05-03 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.93-1) unstable; urgency=low
* New upstream release
* Remove debian/patches/03_fix_invalid_pointer_reference.patch:
- Already in upstream.
2015-03-09 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.92-3) unstable; urgency=medium
* Add debian/patches/03_fix_invalid_pointer_reference.patch
- fix invalid pointer dereference (Closes: #780101)
2014-10-23 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.92-2) unstable; urgency=medium
* Add debian/patches/02_thread-tests-sleep-for-server-to-start.patch
- add some sleep to wait for server to start. (Closes: #765107)
* Bump Standards-Version to 3.9.6: nothing needs to be changed
2014-09-08 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.92-1) unstable; urgency=low
* New upstream release
2014-03-19 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.91-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.9.5: nothing needs to be changed
2013-11-02 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.90-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.9.4: nothing needs to be changed
* debian/watch: use xz tarball. (Closes: #727209)
* debian/control: update homepage url (Closes: #727210)
* remove debian/patches/02_g_thread_init_deprecation.patch: upstreamed.
2012-06-25 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.12-3) unstable; urgency=low
* Make librest-dev depends on gir1.2-rest-0.7 to comply the latest GObject
Introspection mini policy (Closes: #678917)
* Make librest-extras-dev depends on gir1.2-rest-extras-0.7 to comply the
latest GObject Introspection mini policy
2012-05-27 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.12-2) unstable; urgency=low
[ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
* Update debian/copyright to latest format
* Bump Standards-Version to 3.9.3: nothing needs to be changed
* Multi-arch support.
- Bump debhelper compat to 9
[ Martin Pitt <martin.pitt@ubuntu.com> ]
* Add g_thread_init_deprecation.patch: Fix FTBFS with current glib due to
deprecation of g_init_threads(). (LP: #911125)
[ Adam Conrad <adconrad@ubuntu.com> ]
* debian/patches/01_disable-network-tests.patch: disable the tests
in the testsuite that require access outside our buildd network
(Closes: #674374)
2011-11-20 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.12-1) unstable; urgency=low
* New upstream release
* Update debian/copyright to latest DEP-5 format
* Enable test (Closes: #635904)
2011-05-22 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.10-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.9.2: nothing needs to be changed.

See Also

Package Description
librevenge-0.0-0_0.0.4-4ubuntu1_amd64.deb Base Library for writing document interface filters
librevenge-dev_0.0.4-4ubuntu1_amd64.deb Base Library for writing document interface filters -- development
librgw-dev_10.1.2-0ubuntu1_amd64.deb RADOS client library (development files)
librgw2_10.1.2-0ubuntu1_amd64.deb RADOS Gateway client library
librhythmbox-core9_3.3-1ubuntu7_amd64.deb support library for the rhythmbox music player
libroken18-heimdal_1.7~git20150920+dfsg-4ubuntu1_amd64.deb Heimdal Kerberos - roken support library
librrd-dev_1.5.5-4_amd64.deb time-series data storage and display system (development)
librrd4_1.5.5-4_amd64.deb time-series data storage and display system (runtime library)
librrds-perl_1.5.5-4_amd64.deb time-series data storage and display system (Perl interface, shared)
librsvg2-2_2.40.13-3_amd64.deb SAX-based renderer library for SVG files (runtime)
librsvg2-common_2.40.13-3_amd64.deb SAX-based renderer library for SVG files (extra runtime)
librsvg2-dev_2.40.13-3_amd64.deb SAX-based renderer library for SVG files (development)
librsvg2-doc_2.40.13-3_all.deb SAX-based renderer library for SVG files (documentation)
librsync-dev_0.9.7-10_amd64.deb rsync remote-delta algorithm library (development)
librsync1_0.9.7-10_amd64.deb rsync remote-delta algorithm library
Advertisement
Advertisement